package com.mortals.xhx.module.customer.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.customer.model.vo.CustomerWorkCollectVo;
/**
* 客户收藏信息实体对象
*
* @author zxfei
* @date 2022-06-13
*/

public class CustomerWorkCollectEntity extends CustomerWorkCollectVo {
    private static final long serialVersionUID = 1L;

    /**
    * 客户ID
    */
    private Long customerId;
    /**
    * 模版ID
    */
    private Long masterplateId;



    public CustomerWorkCollectEntity(){}
    /**
    * 获取 客户ID
    * @return Long
    */
    public Long getCustomerId(){
        return customerId;
    }
    /**
    * 设置 客户ID
    * @param customerId
    */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
    * 获取 模版ID
    * @return Long
    */
    public Long getMasterplateId(){
        return masterplateId;
    }
    /**
    * 设置 模版ID
    * @param masterplateId
    */
    public void setMasterplateId(Long masterplateId){
        this.masterplateId = masterplateId;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CustomerWorkCollectEntity) {
            CustomerWorkCollectEntity tmp = (CustomerWorkCollectEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",masterplateId:").append(getMasterplateId());
        return sb.toString();
    }

    public void initAttrValue(){

            this.customerId = null;

            this.masterplateId = null;
    }
}