package com.mortals.xhx.module.goview.model;

import java.util.List;
import com.mortals.xhx.module.goview.model.GoviewMasterplateEntity;
/**
* 模板表查询对象
*
* @author zxfei
* @date 2023-04-16
*/
public class GoviewMasterplateQuery extends GoviewMasterplateEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 模板名称 */
    private List<String> masterplateNameList;

    /** 模板名称排除列表 */
    private List <String> masterplateNameNotList;
    /** 开始 发布用户ID */
    private Long customerIdStart;

    /** 结束 发布用户ID */
    private Long customerIdEnd;

    /** 增加 发布用户ID */
    private Long customerIdIncrement;

    /** 发布用户ID列表 */
    private List <Long> customerIdList;

    /** 发布用户ID排除列表 */
    private List <Long> customerIdNotList;

    /** 开始 项目状态[0未发布,1发布] */
    private Integer stateStart;

    /** 结束 项目状态[0未发布,1发布] */
    private Integer stateEnd;

    /** 增加 项目状态[0未发布,1发布] */
    private Integer stateIncrement;

    /** 项目状态[0未发布,1发布]列表 */
    private List <Integer> stateList;

    /** 项目状态[0未发布,1发布]排除列表 */
    private List <Integer> stateNotList;

    /** 首页图片 */
    private List<String> indexImageList;

    /** 首页图片排除列表 */
    private List <String> indexImageNotList;
    /** 模板介绍 */
    private List<String> remarksList;

    /** 模板介绍排除列表 */
    private List <String> remarksNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<GoviewMasterplateQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<GoviewMasterplateQuery> andConditionList;

    public GoviewMasterplateQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 模板名称
    * @return masterplateNameList
    */
    public List<String> getMasterplateNameList(){
        return this.masterplateNameList;
    }

    /**
    * 设置 模板名称
    * @param masterplateNameList
    */
    public void setMasterplateNameList(List<String> masterplateNameList){
        this.masterplateNameList = masterplateNameList;
    }

    /**
    * 获取 模板名称
    * @return masterplateNameNotList
    */
    public List<String> getMasterplateNameNotList(){
        return this.masterplateNameNotList;
    }

    /**
    * 设置 模板名称
    * @param masterplateNameNotList
    */
    public void setMasterplateNameNotList(List<String> masterplateNameNotList){
        this.masterplateNameNotList = masterplateNameNotList;
    }

    /**
    * 获取 开始 发布用户ID
    * @return customerIdStart
    */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
    * 设置 开始 发布用户ID
    * @param customerIdStart
    */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
    * 获取 结束 发布用户ID
    * @return $customerIdEnd
    */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
    * 设置 结束 发布用户ID
    * @param customerIdEnd
    */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
    * 获取 增加 发布用户ID
    * @return customerIdIncrement
    */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
    * 设置 增加 发布用户ID
    * @param customerIdIncrement
    */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
    * 获取 发布用户ID
    * @return customerIdList
    */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
    * 设置 发布用户ID
    * @param customerIdList
    */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
    * 获取 发布用户ID
    * @return customerIdNotList
    */
    public List<Long> getCustomerIdNotList(){
        return this.customerIdNotList;
    }

    /**
    * 设置 发布用户ID
    * @param customerIdNotList
    */
    public void setCustomerIdNotList(List<Long> customerIdNotList){
        this.customerIdNotList = customerIdNotList;
    }


    /**
    * 获取 开始 项目状态[0未发布,1发布]
    * @return stateStart
    */
    public Integer getStateStart(){
        return this.stateStart;
    }

    /**
    * 设置 开始 项目状态[0未发布,1发布]
    * @param stateStart
    */
    public void setStateStart(Integer stateStart){
        this.stateStart = stateStart;
    }

    /**
    * 获取 结束 项目状态[0未发布,1发布]
    * @return $stateEnd
    */
    public Integer getStateEnd(){
        return this.stateEnd;
    }

    /**
    * 设置 结束 项目状态[0未发布,1发布]
    * @param stateEnd
    */
    public void setStateEnd(Integer stateEnd){
        this.stateEnd = stateEnd;
    }

    /**
    * 获取 增加 项目状态[0未发布,1发布]
    * @return stateIncrement
    */
    public Integer getStateIncrement(){
        return this.stateIncrement;
    }

    /**
    * 设置 增加 项目状态[0未发布,1发布]
    * @param stateIncrement
    */
    public void setStateIncrement(Integer stateIncrement){
        this.stateIncrement = stateIncrement;
    }

    /**
    * 获取 项目状态[0未发布,1发布]
    * @return stateList
    */
    public List<Integer> getStateList(){
        return this.stateList;
    }

    /**
    * 设置 项目状态[0未发布,1发布]
    * @param stateList
    */
    public void setStateList(List<Integer> stateList){
        this.stateList = stateList;
    }

    /**
    * 获取 项目状态[0未发布,1发布]
    * @return stateNotList
    */
    public List<Integer> getStateNotList(){
        return this.stateNotList;
    }

    /**
    * 设置 项目状态[0未发布,1发布]
    * @param stateNotList
    */
    public void setStateNotList(List<Integer> stateNotList){
        this.stateNotList = stateNotList;
    }


    /**
    * 获取 首页图片
    * @return indexImageList
    */
    public List<String> getIndexImageList(){
        return this.indexImageList;
    }

    /**
    * 设置 首页图片
    * @param indexImageList
    */
    public void setIndexImageList(List<String> indexImageList){
        this.indexImageList = indexImageList;
    }

    /**
    * 获取 首页图片
    * @return indexImageNotList
    */
    public List<String> getIndexImageNotList(){
        return this.indexImageNotList;
    }

    /**
    * 设置 首页图片
    * @param indexImageNotList
    */
    public void setIndexImageNotList(List<String> indexImageNotList){
        this.indexImageNotList = indexImageNotList;
    }

    /**
    * 获取 模板介绍
    * @return remarksList
    */
    public List<String> getRemarksList(){
        return this.remarksList;
    }

    /**
    * 设置 模板介绍
    * @param remarksList
    */
    public void setRemarksList(List<String> remarksList){
        this.remarksList = remarksList;
    }

    /**
    * 获取 模板介绍
    * @return remarksNotList
    */
    public List<String> getRemarksNotList(){
        return this.remarksNotList;
    }

    /**
    * 设置 模板介绍
    * @param remarksNotList
    */
    public void setRemarksNotList(List<String> remarksNotList){
        this.remarksNotList = remarksNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public GoviewMasterplateQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public GoviewMasterplateQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public GoviewMasterplateQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public GoviewMasterplateQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public GoviewMasterplateQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public GoviewMasterplateQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 模板名称
    * @param masterplateName
    */
    public GoviewMasterplateQuery masterplateName(String masterplateName){
        setMasterplateName(masterplateName);
		return this;
    }

    /**
    * 设置 模板名称
    * @param masterplateNameList
    */
    public GoviewMasterplateQuery masterplateNameList(List<String> masterplateNameList){
        this.masterplateNameList = masterplateNameList;
		return this;
    }

    /**
    * 设置  发布用户ID
    * @param customerId
    */
    public GoviewMasterplateQuery customerId(Long customerId){
	    setCustomerId(customerId);
		return this;
    }
	
	 /**
    * 设置 开始 发布用户ID
    * @param customerIdStart
    */
    public GoviewMasterplateQuery customerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
		return this;
    }

    /**
    * 设置 结束 发布用户ID
    * @param customerIdEnd
    */
    public GoviewMasterplateQuery customerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
		return this;
    }

    /**
    * 设置 增加 发布用户ID
    * @param customerIdIncrement
    */
    public GoviewMasterplateQuery customerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
		return this;
    }

    /**
    * 设置 发布用户ID
    * @param customerIdList
    */
    public GoviewMasterplateQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
		return this;
        }

        /**
        * 设置 发布用户ID
        * @param customerIdNotList
        */
        public GoviewMasterplateQuery customerIdNotList(List<Long> customerIdNotList){
        this.customerIdNotList = customerIdNotList;
        return this;
        }

    /**
    * 设置  项目状态[0未发布,1发布]
    * @param state
    */
    public GoviewMasterplateQuery state(Integer state){
	    setState(state);
		return this;
    }
	
	 /**
    * 设置 开始 项目状态[0未发布,1发布]
    * @param stateStart
    */
    public GoviewMasterplateQuery stateStart(Integer stateStart){
		this.stateStart = stateStart;
		return this;
    }

    /**
    * 设置 结束 项目状态[0未发布,1发布]
    * @param stateEnd
    */
    public GoviewMasterplateQuery stateEnd(Integer stateEnd){
		this.stateEnd = stateEnd;
		return this;
    }

    /**
    * 设置 增加 项目状态[0未发布,1发布]
    * @param stateIncrement
    */
    public GoviewMasterplateQuery stateIncrement(Integer stateIncrement){
		this.stateIncrement = stateIncrement;
		return this;
    }

    /**
    * 设置 项目状态[0未发布,1发布]
    * @param stateList
    */
    public GoviewMasterplateQuery stateList(List<Integer> stateList){
        this.stateList = stateList;
		return this;
        }

        /**
        * 设置 项目状态[0未发布,1发布]
        * @param stateNotList
        */
        public GoviewMasterplateQuery stateNotList(List<Integer> stateNotList){
        this.stateNotList = stateNotList;
        return this;
        }


	/**
    * 设置 首页图片
    * @param indexImage
    */
    public GoviewMasterplateQuery indexImage(String indexImage){
        setIndexImage(indexImage);
		return this;
    }

    /**
    * 设置 首页图片
    * @param indexImageList
    */
    public GoviewMasterplateQuery indexImageList(List<String> indexImageList){
        this.indexImageList = indexImageList;
		return this;
    }


	/**
    * 设置 模板介绍
    * @param remarks
    */
    public GoviewMasterplateQuery remarks(String remarks){
        setRemarks(remarks);
		return this;
    }

    /**
    * 设置 模板介绍
    * @param remarksList
    */
    public GoviewMasterplateQuery remarksList(List<String> remarksList){
        this.remarksList = remarksList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public GoviewMasterplateQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public GoviewMasterplateQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public GoviewMasterplateQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public GoviewMasterplateQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public GoviewMasterplateQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public GoviewMasterplateQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public GoviewMasterplateQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public GoviewMasterplateQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public GoviewMasterplateQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public GoviewMasterplateQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public GoviewMasterplateQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public GoviewMasterplateQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<GoviewMasterplateQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<GoviewMasterplateQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<GoviewMasterplateQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<GoviewMasterplateQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}